package cn.jlsxwkj.common.config;

import io.github.bucket4j.Bandwidth;
import io.github.bucket4j.Bucket;
import io.github.bucket4j.Refill;
import jakarta.annotation.Resource;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.time.Duration;

/**
 * @author zh
 * 限流
 */
@Configuration
public class RateLimiterConfig {

    /**
     * 用户配置类.
     */
    @Resource
    private UserConfig userConfig;

    /**
     * 桶.
     * @return 返回桶
     */
    @Bean
    public Bucket bucket() {
        Bandwidth limit = Bandwidth.classic(
                userConfig.getGenTokens(),
                Refill.greedy(
                        userConfig.getGenTokens(),
                        Duration.ofSeconds(userConfig.getRateLimitSec())
                )
        );
        return Bucket.builder()
                .addLimit(limit)
                .build();
    }
}
