package cn.jlsxwkj.moudles.log_error;

import cn.jlsxwkj.common.R.ResponseError;
import cn.jlsxwkj.common.dao.Dao;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author zh
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class LogError extends Dao {

    /**
     * 异常名.
     */
    private String exception;
    /**
     * 异常消息.
     */
    private String message;
    /**
     * 异常信息.
     */
    private String errorInfo;
    /**
     * 异常堆栈.
     */
    private String errorStackTrace;

    /**
     * 转换异常.
     * @param errorHandler 异常
     * @return LogError
     */
    public LogError castResponseErrorToLogError(
            final ResponseError errorHandler) {
        this.setMessage(errorHandler.getMessage());
        this.setException(errorHandler.getException());
        return this;
    }
}
