package cn.jlsxwkj.moudles.log_error;

import cn.jlsxwkj.common.exception.InsertFailException;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author zh
 */
@Service
public class LogErrorService {

    /**
     * LogErrorMapper.
     */
    @Resource
    private LogErrorMapper logErrorMapper;

    /**
     * @param logError logError
     * @throws InsertFailException 插入失败
     */
    @Transactional(rollbackFor = InsertFailException.class)
    public void insertOne(final LogError logError) throws InsertFailException {
        Integer rows = logErrorMapper.insertOne(logError);
        if (rows < 1) {
            throw new InsertFailException("插入失败");
        }
    }
}
