package cn.jlsxwkj.moudles.user_list;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * @author zh
 */
@Mapper
public interface UserListMapper {

    /**
     * 注册用户.
     *
     * @param user 用户实体
     * @return 插入条数
     */
    @Insert("""
            insert into user_list(
                user_id,
                user_name,
                user_password)
            values (
                #{user.userId},
                #{user.userName},
                #{user.userPassword})
            """)
    Integer authUser(@Param("user") UserList user);

    /**
     * 查询用户是否存在.
     *
     * @param userName 用户名
     * @return 用户实体
     */
    @Select("""
            select *
            from user_list
            where user_name = #{userName}
            and is_deleted = 0
            limit 1
            """)
    UserList checkUser(@Param("userName") String userName);
}
